# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(IO/Socket.pm) perl(Socket.pm) perl(Socket/Netlink/Generic_const.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Socket-Netlink
Version:        0.04
Release:        alt1_7
Summary:        Interface to Linux's PF_NETLINK socket family

License:        GPL+ or Artistic

Group:          Development/Perl
URL:            http://search.cpan.org/dist/Socket-Netlink/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/Socket-Netlink-%{version}.tar.gz

BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(ExtUtils/CChecker.pm)
BuildRequires:  perl(ExtUtils/H2PM.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Module/Build/Compat.pm)
BuildRequires:  perl(Sub/Name.pm)
BuildRequires:  perl(Test/HexString.pm)
BuildRequires:  perl(Test/More.pm)

Requires:       perl(Sub/Name.pm)

## Filter unneeded Provides with RPM 4.8
%{echo 
%filter_from_provides /^perl.Socket.Netlink.Generic.pm.$/d
}

## Filter unneeded Provides with RPM 4.9


# For some reason rpmbuild picks this one up as a 'Requires', but not as
# a 'Provides'. Adding it manually or the package fails to install
Provides:       perl(Socket/Netlink/Generic_const.pm) == %{version}
Source44: import.info


%description
This module contains the low-level constants and structure handling
functions required to use Linux's PF_NETLINK socket family. It is suggested
to use the high-level object interface to this instead; see
IO::Socket::Netlink.


%prep
%setup -q -n Socket-Netlink-%{version}


%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor optimize="%{optflags}"
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Socket*
%{perl_vendorarch}/IO*


%changelog
* Mon Mar 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_7
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt2_7
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.03-alt2_6
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_6
- update to new release by fcimport

* Sat May 26 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_4
- fc import

